﻿@model IEnumerable<ConsumeWebApiMVC.Models.Usuarios>

@{
    ViewBag.Title = "Index";
}

<h2>Consumiendo Web Api</h2>

<p>@Html.ActionLink("Nuevo", "Create")</p>

<table class="table">
    <th>id</th>
    <th>firstName</th>
    <th>lastName</th>
    <th>loginName</th>
    <th>profileId</th>
    <th></th>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.firstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.lastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.loginName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.profileId)
            </td>
            <td>
                @Html.ActionLink("Edita", "Edit", new { /* id=item.PrimaryKey */}) |
                @Html.ActionLink("Elimina", "Delete", new { /* id=item.PrimaryKey */})
            </td>
        </tr>

    }
</table>